#
# spec file for package perl-HTML-RewriteAttributes
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTML-RewriteAttributes
Version:        0.05
Release:        11.5
%define cpan_name HTML-RewriteAttributes
Summary:        Concise attribute rewriting
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTML-RewriteAttributes/
Source:         http://search.cpan.org/CPAN/authors/id/T/TS/TSIBLEY/HTML-RewriteAttributes-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(HTML::Tagset)
BuildRequires:  perl(URI)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::Parser)
Requires:       perl(HTML::Tagset)
Requires:       perl(URI)

%description
HTML::RewriteAttributes is designed for simple yet powerful HTML attribute
rewriting.

You simply specify a callback to run for each attribute and we do the rest for
you.

This module is designed to be subclassable to make handling special cases
eaiser. See the source for methods you can override.

Author:
-------
    Shawn M Moore, <sartak@bestpractical.com>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# i really have no idea what these changes do, but i'll keep them.
#
# don't do perl_process_packlist (because this is a noarch package?)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)

%changelog
* Thu Jan 17 2013 darin@darins.net
- Update to version 0.05
  * Resources: Preserve the media attribute when inlining CSS
  * Resources: Avoid uninitialized warnings by checking the
    attributes we expect
- Update source URL
* Tue Aug  2 2011 them4z@googlemail.com
- updated to 0.04
  * created by cpanspec 1.78.05
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Sep  4 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.03
